<!DOCTYPE view PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<f:view xmlns:rich="http://richfaces.org/rich"
        xmlns:f="http://java.sun.com/jsf/core" xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:h="http://java.sun.com/jsf/html" xmlns:a="http://richfaces.org/a4j"
        xmlns="http://www.w3.org/1999/xhtml" contentType="text/html">

    <html>
    <h:head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <title>#{messages['net.ihe.gazelle.xdstar.XDStarClient_2']}</title>
        <link rel="icon" type="image/png" href="#{request.contextPath}/resources/img/favicon.ico"/>

        <h:outputScript library="jscript" name="jquery_1_11_2.min.js"/>
        <h:outputScript library="jscript" name="bootstrap.min.js"/>
        <h:outputScript library="jscript" name="gazelleTools.js"/>

        <h:outputScript library="jscript" name="summernote.min.js"/>
        <h:outputScript library="jscript" name="chosen.jquery.min.js"/>
        <h:outputScript library="jscript" name="moment.js"/>
        <h:outputScript library="jscript" name="daterangepicker.js"/>

        <h:outputStylesheet library="stylesheet" name="resultStyle.css" />
        <h:outputStylesheet library="stylesheet" name="gazelle-theme.css"/>
        <h:outputStylesheet library="stylesheet" name="font-awesome.css"/>
        <h:outputStylesheet library="stylesheet" name="bootstrap_dropdown.css"/>
        <h:outputStylesheet library="stylesheet" name="chosen.bootstrap.css"/>
        <h:outputStylesheet library="stylesheet" name="alert.css"/>
        <h:outputStylesheet library="stylesheet" name="status.css"/>
        <h:outputStylesheet library="stylesheet" name="daterangepicker.css"/>
        <h:outputStylesheet library="stylesheet" name="edittable.css"/>


        <h:outputStylesheet library="stylesheet" name="style.css"/>
        <h:outputStylesheet library="stylesheet" name="summernote.css"/>

        <!--@formatter:off-->
        <script type="text/javascript">

            jq162 = jQuery.noConflict(true);

            jq162(function () {
                updateSelects();
            });

            function updateSelects() {
                updateSelects_(jq162, {allow_single_deselect: true, display_selected_options: true, width: "90%"});
            }
        </script>
        <!--@formatter:on-->

        <ui:insert name="head"/>
    </h:head>
    <h:body>
        <ui:fragment rendered="#{not applicationConfigurationProvider.isUserAllowedAsAdmin() and applicationConfigurationProvider.isAdminPage(request.requestURL)}">
            <script type="text/javascript">
                document.location.href="/XDStarClient/login_redirect.seam";
            </script>
        </ui:fragment>
        <f:view>
            <ui:include src="/ajaxStatus.xhtml"/>
            <h:form>
                <ui:include src="menu.xhtml"/>
            </h:form>
            <div id="gzl-container">
                <div class="row">
                    <div class="center-block gazelle-alert">
                        <s:decorate id="gazelle-messages">
                            <rich:messages globalOnly="true" escape="false"
                                           styleClass="fade-out-up text-center"
                                           infoClass="alert gzl-alert-green animated-fast"
                                           warnClass="alert gzl-alert-orange animated-slow"
                                           errorClass="alert gzl-alert-red animated-slow">
                            </rich:messages>
                        </s:decorate>
                    </div>
                </div>
                <ui:insert name="body"/>
            </div>
            <h:form>
                <ui:include src="footer.xhtml"/>
                <ui:include src="_scrollup.xhtml"/>
            </h:form>
        </f:view>
        <a:status onstop="updateSelects()"/>
    </h:body>
    <h:outputScript library="jscript" name="ie10-viewport-bug-workaround.js"/>
    <ui:debug/>
    </html>
</f:view>
